[jhc] darcs patch: Explicitly use base-4 and syb package. (GHC 6.10 only?)

Corey O'Connor coreyoconnor at gmail.com
Mon Jun 22 22:02:50 EDT 2009

On Mon, Jun 22, 2009 at 10:56 AM, John Meacham<john at repetae.net> wrote:
> What was the specific thing that relied on base 4 out of curiosity?

The specific reason I had to include base-4 and syb was due to the error:

    Could not find module `Data.Generics.Instances':
      it is a member of package base-, which is hidden

While the error message implies base 3 should be used,  "member of
package base-3..", I decided I wanted JHC to compile against base-4
(Perhaps unnecessarily?) and instead added base-4 and syb (Which
contains Data.Generics.Instances).

I recall trying to just use base 3 and using that to compile JHC. I
think (Gee I should of taken notes...) the reason this failed was due
to other missing dependencies. Perhaps Control.Exception dependencies.
And I found it easier to just use base-4 instead.

Corey O'Connor

More information about the jhc mailing list